nfoview (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * Control: remove team from uploaders.
  * Control: point VCS links to private namespace.
  * Control: remove build-dep on python3-setuptools, dropped upstream.
  * Patches: refresh 01 to match changes to the upstream buildsys.
  * Copyright: bump years.
  * Tests: run upstream testsuite against all supported Python version.
  * Control: add build-dep on python3-all.
  * Rules: modify override of dh_auto_test to inject {interpreter} into
    the test command.
  * Tests: temporarily set allow-stderr for import-private-module too,
    see https://gitlab.freedesktop.org/mesa/mesa/-/issues/10293.

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 07 Apr 2024 07:03:33 +0000

nfoview (1.99-1) unstable; urgency=medium

  * New upstream version 1.99
  * Control: switch (build-)deps to GTK 4.
  * Control: mark test-only build-deps <!nocheck>.
  * Patches: refresh 01.
  * Copyright: bump years.
  * Watch: remove gitmode=full option.
  * Lintian: remove override for missing-build-dependency-for-dh-addon,
    no longer needed.

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 22 Aug 2023 21:52:26 +0000

nfoview (1.29-2) unstable; urgency=medium

  * Copyright: remove leftover license paragraph for LPGL-3.
  * Copyright: add entry for appdata XML file (CC0-1.0).
  * Control: bump std-ver to 4.6.2 (from 4.6.1; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 20 Dec 2022 13:54:41 +0000

nfoview (1.29-1) unstable; urgency=medium

  * New upstream version 1.29:
    + fixes Gtk CSS handling. (Closes: #1010877)
  * Tests: loop over py3versions -s rather than -r.
  * Control: bump Standards-Version to 3.6.1 (from 3.6.0; no further
    changes).
  * Control: replace build-dep on python3-distutils with python3-
    setuptools.
  * Rules: modify pybuild calls, upstream made a (partial) move from
    setup.py to a Makefile.
  * Patches: add 01 to modify a hardcoded /usr/local prefix and insert
    setuptools install arguments.
  * Copyright: remove obsolete entry for data/icons, bump years for
    upstream and packaging.
  * Lintian: modify overrides to match changed output format.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 17 Oct 2022 14:55:32 +0000

nfoview (1.28.1-1) unstable; urgency=medium

  * New upstream release.
  * Control:
    + switch dh-python build-dep to dh-sequence-python3.
    + set 'Rules-Requires-Root: no'.
    + bump Standards-Version to 4.6.0 (from 4.5.0).
    + set maintainer to my debian.org email address.
  * Lintian:
    + add override for binary: repeated-path-segment, not a bug.
    + override source: missing-build-dependency-for-dh-addon python3;
      handled by dh-sequence-python3.
  * Docs: install NEWS.md; drop TODO.md (no longer shipped).
  * Copyright:
    + bump years.
    + update source url.

 -- Jeroen Ploemen <jcfp@debian.org>  Mon, 11 Oct 2021 09:01:08 +0000

nfoview (1.28-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 22:50:17 -0400

nfoview (1.28-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Control:
    + replace xfonts-terminus with fonts-cascadia-code, upstream
      changed the default font.
    + bump compat level to 13 (from 12).
  * Install: remove entry for nfoview.xpm, replaced by new upstream svg
    application icons.
  * Bump Standards-Version to 4.5.0 (from 4.4.0; no further changes).
  * Copyright: bump years.
  * Tests: pass nonexistent homedir to xvfb-run to prevent dconf from
    attempting to write to an actual homedir, and add 'Restrictions:
    allow-stderr' for upstream-pytest. Without these, the autopkgtest
    fails when using schroot as virtualization server; with lxc (used
    on ci.debian.net and salsa) there's no such problem.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 12 May 2020 10:42:03 +0000

nfoview (1.27-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Bump compat level to 12 (from 11; no further changes).
  * Rules: enable upstream testsuite during build.
  * Control: add build-depends on gir1.2-gtk-3.0, python3-gi,
    python3-pytest, xvfb and xauth (needed by the upstream testsuite).
  * Tests: enable upstream-pytest for debci.
  * Copyright: bump years for upstream and packaging.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 08 Aug 2019 13:14:08 +0000

nfoview (1.26-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ JCF Ploemen (jcfp) ]
  * Watch: switch to git mode, add cryptographic verification of
    upstream signed tags.
  * New upstream release.
  * Bump Standards-Version to 4.3.0 (from 4.1.4; no further changes).
  * Tests: add basic autopkgtest import-private-module.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 29 Dec 2018 09:41:18 +0000

nfoview (1.24-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Control: add build-dep on python3-distutils, needed because
    distutils was moved into its own package and subsequently the
    dependency of -stdlib on that removed. (Closes: #896765)
  * Bump Standards-Version to 4.1.4 (from 4.1.3; no further changes).
  * Compat: set level to 11.
  * Copyright:
    + bump upstream year.
    + add entry for data/icons/*.
  * debian/nfoview.xpm: refresh outdated icon (convert -resize 32x32
    data/icons/256x256/nfoview.png).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 24 Apr 2018 11:23:37 +0000

nfoview (1.23-1) unstable; urgency=medium

  * New upstream release.
  * Control:
    + drop build-dep on intltool, upstream switched to gettext.
    + add build-dep on gettext (for msgfmt).
    + sort (build-)dependencies.
    + use https for upstream homepage.
  * Bump Standards-Version to 4.1.3 (from 4.1.0.0, no further changes).
  * Patches: drop all, merged upstream.
  * Copyright: bump years.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 03 Jan 2018 13:36:05 +0000

nfoview (1.22-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0.0 (from 3.9.8; no further changes).
  * Compat: bump to 10 (from 9) and set debhelper version accordingly.
  * Patches: add 01 to fix appstream metadata location.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 22 Aug 2017 15:49:52 +0000

nfoview (1.21-1) unstable; urgency=medium

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 18 Nov 2016 22:20:25 +0000

nfoview (1.20-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (from 3.9.6, no further changes).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 24 Aug 2016 08:38:38 +0000

nfoview (1.19-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage url.
  * Bump copyright years.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 18 May 2016 21:27:31 +0000

nfoview (1.18-1) unstable; urgency=medium

  * New upstream release:
    + Removes harmless GTK warning upon quitting the application.
      (Closes: #731741)

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 01 Feb 2016 20:13:29 +0000

nfoview (1.17-2) unstable; urgency=medium

  * Override dh_auto_test to prevent running tests not meant for build
    time. Fixes build failure against experimental and ubuntu xenial.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 12 Jan 2016 21:43:07 +0000

nfoview (1.17-1) unstable; urgency=medium

  * New upstream release.
  * Remove Debian menu support as per #741573.
  * Use https for Vcs-Browser.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 23 Oct 2015 12:22:45 +0000

nfoview (1.16-1) unstable; urgency=medium

  * New upstream release.
  * Add missing dependency on gir1.2-gtk-3.0 (Closes: #780442).
  * Upstream moved to github:
    + Update homepage url, watchfile.
    + Remove gpg key and debian/upstream directory as there's no
      longer any signature to verify.
    + Remove pre-depends on dpkg: no more releases in tar.xz format.
  * Handle upstream renaming of docs and changelog.
  * Update launcher to account for an upstream code change.
  * Bump copyright years.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 23 May 2015 20:22:45 +0000

nfoview (1.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Set compat level to 9.
  * Rules: use pybuild, remove dh_auto_* overrides.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 03 Jan 2015 23:40:37 +0000

nfoview (1.15-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 07 Oct 2014 20:55:53 +0000

nfoview (1.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Update copyright years.
  * Watch file: add verification of upstream cryptographic signature.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 06 Aug 2014 11:37:20 +0200

nfoview (1.13.1-1) unstable; urgency=low

  [Jakub Wilk]
  * Use canonical URIs for Vcs-* fields.

  [JCF Ploemen (jcfp)]
  * New upstream release (Closes: #625237).
  * Migrated to Python 3 (etc.):
    + Build-Depend on python3 rather than python.
    + Set X-Python3-Version to >= 3.2; remove XS-Python-Version.
    + Depend on python3-gi rather than python-gtk2.
    + Switch to dh_python3 from python-support.
  * New maintainer (Closes: #726301).
  * Fix package description.
  * Handle use of tar.xz file format by upstream:
    + Update watch file.
    + Add Pre-Depends on dpkg (>= 1.15.6~).
  * Set Priority to optional.
  * Bump Standards-Version to 3.9.4.
  * Update copyright:
    + Add myself as a copyright holder for the packaging.
    + Remove mention of tools/git2cl: no longer present.
    + Use machine-interpretable format 1.0.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 18 Oct 2013 18:12:14 +0200

nfoview (1.9.2-1) unstable; urgency=low

  * New upstream release:
    - Update Polish translation (Piotr Drąg).
    - Add Russian translation (Алекс).
  * Set Maintainer to Python Apps Packaging team, move myself to the
    Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Wed, 27 Oct 2010 09:35:19 +0200

nfoview (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * Change my email address.
  * Bump Standards.
  * Move python from Build-Depends-Indep to Build-Depends as it's needed
    to run debian/rules clean.

 -- Alessio Treglia <alessio@debian.org>  Thu, 01 Jul 2010 09:09:15 +0200

nfoview (1.9-1) unstable; urgency=low

  * New upstream release.
  * Co-maintain this with Debian PAPT, move packaging into PAPT's svn area.
  * debian/control:
    - Adjust debhelper b-d version to ease backporters' life.
    - Bump Standards.
    - Replace python-all-dev with python in Build-Depends field.
    - Set DM-Upload-Allowed to yes.
  * Switch to 3.0 (quilt) source format.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 30 Apr 2010 00:53:55 +0200

nfoview (1.8-1) unstable; urgency=low

  * New upstream release.
  * debian/{nfoview.xpm,nfoview.install}:
    - Add 32x32px icon in XPM format.
  * debian/menu:
    - Add icon field.
    - Set the extended name as title field value.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 25 Oct 2009 02:56:44 +0200

nfoview (1.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-italian_translations.diff:
    - Remove, applied by upstream.
  * Drop quilt support, no patch to apply.
  * Remove debian/README.source, no need to document quilt patch system.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 06 Oct 2009 12:55:50 +0200

nfoview (1.6-2) unstable; urgency=low

  [Kartik Mistry]
  * Set distribution to unstable

  [Alessio Treglia]
  * debian/control:
    - Set XS-Python-Version to >= 2.5 (Closes: #545724).
    - Move xfonts-terminus from Suggests to Recommends (as suggested by
      upstream).
    - Remove python-glade2 dependency, not needed anymore since the migration
      from Libglade to GtkBuilder.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 11 Sep 2009 00:21:41 +0530

nfoview (1.6-1) unstable; urgency=low

  * Initial release (Closes: #544045).
  * debian/patches/01-italian_translations.diff: Add Italian translations.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 05 Sep 2009 16:18:00 +0200
